Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{oid}
/
signup
accounts_oid_signup_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{oid}/signup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "applicant": {
    "email": "customer@example.com",
    "agreement": {
      "name": "<string>",
      "version": "<string>",
      "personal_guarantee_accepted": true,
      "attachments": [
        {
          "name": "Cookie Policy",
          "version": "<string>"
        }
      ]
    },
    "first_name": "John",
    "last_name": "Doe",
    "phone_number": "+4799999999",
    "recaptcha_sitekey": "6LdE_pIUAAAAAHbiL0uHjHg2Mgn2IILTvZdA_Ux-",
    "recaptcha_response": "03AOLTBLSbzmXKXuAz9N--DsZ1xWmhfx6okCheBPesOsNmRSdkfcO4E5CkeBQQFJkC_emfE_KF0P8C3T57Nr9eOon_PVTEIq1NUpRS5oGkGMhr1vxVe1F7txMYUc4ClxUDLxWiW5WgnDvWHC7gOnlJZKvxVE4gn7qAJijE6SFMXkvFOwoWcx_kONmBHGnXHGgxIe2M8G-FkIKr0WZbQIDYmDaiQxb6mL1L70UGOyO280v2Pp65JB1mSohdeJLdQhHeye6v6__H9_M0GxDGd8s-LoLUY5Vq9hKbAs8MCsh2OFwtpbTYGfqmDbTwsc2v8SqOOZ86uKXwl7gyk3RHXT27m8Rv8iZAs2Ym5w",
    "promo_code": "<string>",
    "signup_reference": "<string>",
    "utm": {
      "utm_source": "google",
      "utm_medium": "cpc",
      "utm_campaign": "spring_sale",
      "utm_term": "running+shoes",
      "utm_content": "textlink"
    }
  }
}
'
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

Body

application/json
applicant
object
required
company
object

The details of an account company

billing
object

The details of the billing for the account

account_manager
object

Account manager responsible for the account.

value is not visible for the merchant

external_integrations
object

Response

Accepted

Last modified on May 12, 2026